function [ Agent_VA ] = computeAgentVAs( Agent_pos, Rs, ps )
% computes Agent VAs. mirrors the Agent_pos at the segments given in Rs an
% ps. Thus produces zero-th and first order VAs.

% LOS
Agent_VA.VA(:,1) = Agent_pos;
Agent_VA.VAassoc{1} = 0;
Agent_VA.type(1) = 0;

% First order Reflections
for iSeg = 1:size(ps, 1);
  Agent_VA.VA(:, iSeg+1) = (eye(2)-2*Rs{iSeg})*Agent_pos + 2*Rs{iSeg}*ps(iSeg,1:2)';
  Agent_VA.VAassoc{iSeg+1} = iSeg;
  Agent_VA.VAtype(iSeg+1) = 1;
end

end

