function [ distance, aoa ] = computeDistanceAoAatAnchor( Anchor_pos, Agent_VA_pos, antenna_offset, antenna_azimuth_offset )
%computes the Distance and Angle of Arrival (AoA) as seen from the Anchor.
%Therefore the Agent postion has to be mirrored first. Only the VAs needed
%shall be inserted.

distance = NaN(size(Agent_VA_pos,2), size(antenna_offset,2));
aoa=NaN(size(Agent_VA_pos,2), length(antenna_azimuth_offset));

for iVA = 1:size(Agent_VA_pos, 2)
  for iAnt = 1:size(antenna_offset,2)
    distance(iVA, iAnt) = norm(Anchor_pos + antenna_offset(:,iAnt) - Agent_VA_pos(:, iVA));
    aoa(iVA, iAnt) = atan2(-Anchor_pos(2) + Agent_VA_pos(2, iVA), -Anchor_pos(1) + Agent_VA_pos(1,iVA)) + antenna_azimuth_offset(iAnt);
  end
end
       

end

