function [pattern_h, pattern_v]=getbeampattern(mda)

c = 299792458;  %speed of light

load('Beampatternsmiley','mdev','RL_orig','md')
% misstake in measurement; do correction here:
RL_orig(36,:,:)=RL_orig(37,:,:);
RL_orig(37,:,:)=[];

ND=36; % number of measurements, 10� separation

% pulse parameters
if nargin==0
  md.beta=0.5;
  md.Tp=1.0e-9;
  md.fc=4.5e9;
else
  md=mda;
end

time.M_OS = 9;
time.Ts_raw = 1/mdev.mClk;
time.N_sig_samp_raw = 4095;
time.tau_raw = ((0:time.N_sig_samp_raw-1)./mdev.mClk).';
time.f_raw = (-1/2/time.Ts_raw: 1/time.Ts_raw/time.N_sig_samp_raw : 1/2/time.Ts_raw-1/time.Ts_raw/time.N_sig_samp_raw)';
if(mdev.mUse_IQ == 1)
  time.f_raw = time.f_raw + mdev.mClk;
end
time.Ts = time.Ts_raw/time.M_OS;
time.tau_OS_full = (time.tau_raw(1):time.Ts:(time.tau_raw(end)+(time.M_OS-1)*time.Ts)).';
time.N_sig_samp = length(time.tau_OS_full);
time.tau = time.tau_OS_full(1:time.N_sig_samp);
time.f_BB = (-1/time.Ts/2:(1/time.Ts/time.N_sig_samp):(1/time.Ts/2 - 1/time.Ts/time.N_sig_samp)).';
mdev.cal_param.tx_antenna_len=0.07;

pulse = generatePulse(md, time.tau_OS_full(round(length(time.tau_OS_full)/2)), time.tau_OS_full, 3);
pulse_passband = pulse.*exp(2j*pi*(md.fc-mdev.mClk)*time.tau_OS_full);
pulse_passband = circshift(pulse_passband,-(length(pulse_passband)-1)/2);
for ipos=1:ND % for each direction
  [~, temp] = correctCIR(RL_orig(ipos,:,1), ...
    mdev.r_sys(:, 1), mdev.r_cross(:, 1), mdev.cal_param, mdev.mClk,...
    pulse_passband, time);
  cir_shaped_vert(:,ipos)=temp.*exp(-2j*pi*(md.fc-mdev.mClk)*time.tau);
  [~, temp] = correctCIR(RL_orig(ipos,:,2), ...
    mdev.r_sys(:, 2), mdev.r_cross(:, 2), mdev.cal_param, mdev.mClk,...
    pulse_passband, time);
  cir_shaped_horz(:,ipos)=temp.*exp(-2j*pi*(md.fc-mdev.mClk)*time.tau);
end
% imagesc(abs([cir_shaped_horz(1:500,:),cir_shaped_vert(1:500,:)]))

b_horz=zeros(2,ND);
b_vert=zeros(2,ND);

Pulse=fft(circshift(pulse,-(length(pulse_passband)-1)/2));
% there are two possiblities to account that antenna is not placed in the
% exact middle position, either, consider the phase difference, or, store
% dont care about phase but store time delay (and use time delay later to
% restore phase); here we store the time delay
for ipos=1:ND 
  temp=ifft(fft(cir_shaped_vert(:,ipos)).*Pulse); % ML estimate
  [~,idx]=max(abs(temp(1:500))); % argmax of ML
  d=0; % store time delay
  b_vert(:,ipos)=[temp(idx)*exp(1i*2*pi*d/(c/md.fc)),-0.02*cos(-pi+ipos/ND*2*pi)];

  temp=ifft(fft(cir_shaped_horz(:,ipos)).*Pulse);
  [~,idx]=max(abs(temp(1:500)));
  d=0; % store time delay
  b_horz(:,ipos)=[temp(idx)*exp(1i*2*pi*d/(c/md.fc)),-0.02*cos(-pi/2+ipos/ND*2*pi)];
end

% neu zusammensetzen -> bei Draufsicht = gegen Uhrzeigersinn von -180 bis
% 170 Grad
pattern_h=[(-180:10:170)',[b_horz(:,28:end).';b_horz(:,1:27).']];
pattern_v=[(-180:10:170)',b_vert(:,1:end).'];

if nargout==0
  subplot(2,1,1)
  plot(pattern_h(:,1),20*log10(abs(pattern_h(:,2))));
  hold on
  plot(pattern_v(:,1),20*log10(abs(pattern_v(:,2))),'r');
  hold off
  ylabel('Magnitude in dB')
  legend({'horz','vert'})
  subplot(2,1,2)
  plot(pattern_h(:,1),angle(pattern_h(:,2)));
  hold on
  plot(pattern_v(:,1),angle(pattern_v(:,2)),'r');
  hold off
  ylim([-pi,pi])
  xlabel('Angle, counterclockwise')
  ylabel('Phase')
end
